cvs: phpdoc /en/reference/datetime constants.xml /en/reference/datetime/functions date.xml

From: Date: Thu, 17 Nov 2005 23:11:26 +0000
Subject: cvs: phpdoc /en/reference/datetime constants.xml /en/reference/datetime/functions date.xml
Groups: php.doc 
Request: Send a blank email to phpdoc+get-969370900@lists.php.net to get a copy of this message
nlopess Thu Nov 17 18:11:26 2005 EDT Modified files: /phpdoc/en/reference/datetime constants.xml /phpdoc/en/reference/datetime/functions date.xml Log: update to latest php 5.1.0 RC http://cvs.php.net/diff.php/phpdoc/en/reference/datetime/constants.xml?r1=1.3&r2=1.4&ty=u Index: phpdoc/en/reference/datetime/constants.xml diff -u phpdoc/en/reference/datetime/constants.xml:1.3 phpdoc/en/reference/datetime/constants.xml:1.4 --- phpdoc/en/reference/datetime/constants.xml:1.3 Mon Aug 15 12:01:05 2005 +++ phpdoc/en/reference/datetime/constants.xml Thu Nov 17 18:11:21 2005 @@ -1,16 +1,17 @@ <?xml version='1.0' encoding='iso-8859-1'?> -<!-- $Revision: 1.3 $ --> +<!-- $Revision: 1.4 $ --> <section id="datetime.constants"> &reftitle.constants; <para> The following constants are defined since PHP 5.1.0 and they offer standard date representations, which can be used along with the date format functions - (like <function>date</function>). + (like <function>date</function>). These are static constants of the + <classname>date</classname> class. </para> <variablelist> <varlistentry> <term> - <constant>DATE_ATOM</constant> + <constant>date::ATOM</constant> (<type>string</type>) </term> <listitem> @@ -21,7 +22,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_COOKIE</constant> + <constant>date::COOKIE</constant> (<type>string</type>) </term> <listitem> @@ -32,7 +33,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_ISO8601</constant> + <constant>date::ISO8601</constant> (<type>string</type>) </term> <listitem> @@ -43,7 +44,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RFC822</constant> + <constant>date::RFC822</constant> (<type>string</type>) </term> <listitem> @@ -54,7 +55,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RFC850</constant> + <constant>date::RFC850</constant> (<type>string</type>) </term> <listitem> @@ -65,7 +66,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RFC1036</constant> + <constant>date::RFC1036</constant> (<type>string</type>) </term> <listitem> @@ -76,7 +77,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RFC1123</constant> + <constant>date::RFC1123</constant> (<type>string</type>) </term> <listitem> @@ -87,7 +88,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RFC2822</constant> + <constant>date::RFC2822</constant> (<type>string</type>) </term> <listitem> @@ -98,7 +99,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_RSS</constant> + <constant>date::RSS</constant> (<type>string</type>) </term> <listitem> @@ -109,7 +110,7 @@ </varlistentry> <varlistentry> <term> - <constant>DATE_W3C</constant> + <constant>date::W3C</constant> (<type>string</type>) </term> <listitem> http://cvs.php.net/diff.php/phpdoc/en/reference/datetime/functions/date.xml?r1=1.25&r2=1.26&ty=u Index: phpdoc/en/reference/datetime/functions/date.xml diff -u phpdoc/en/reference/datetime/functions/date.xml:1.25 phpdoc/en/reference/datetime/functions/date.xml:1.26 --- phpdoc/en/reference/datetime/functions/date.xml:1.25 Thu Oct 13 08:56:28 2005 +++ phpdoc/en/reference/datetime/functions/date.xml Thu Nov 17 18:11:25 2005 @@ -1,5 +1,5 @@ <?xml version="1.0" encoding="iso-8859-1"?> -<!-- $Revision: 1.25 $ --> +<!-- $Revision: 1.26 $ --> <!-- splitted from ./en/functions/datetime.xml, last change in rev 1.2 --> <refentry id="function.date"> <refnamediv> @@ -312,10 +312,10 @@ /* use the constants in the format parameter */ // prints something like: Mon, 15 Aug 2005 15:12:46 UTC -echo date(DATE_RFC822); +echo date(date::RFC822); // prints something like: 2000-07-01T00:00:00+0000 -echo date(DATE_ATOM, mktime(0, 0, 0, 7, 1, 2000)); +echo date(date::ATOM, mktime(0, 0, 0, 7, 1, 2000)); ?> ]]> </programlisting>

« previous php.doc (#969370900) next »